#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/xstatic-js-yaml.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	python3 setup.py install --install-layout=deb \
		--root $(CURDIR)/debian/python3-xstatic-js-yaml

override_dh_auto_test:
	echo "Do nothing..."

override_dh_clean:
	dh_clean
	rm -rf build
